Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QSignalEmitter

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter

Direct Known Subclasses:
  QtJambiObject

    public class QSignalEmitter

extends com.trolltech.qt.internal.QSignalEmitterInternal

This class implements the functionality to emit signals. All objects in QtJambi can emit signals, so the class is inherited by QtJambiObject.

Nested Class Summary
`class` | `QSignalEmitter.AbstractSignal`
`class` | `QSignalEmitter.Signal0` Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes no parameters.
`class` | `QSignalEmitter.Signal1` Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes one parameter.
`class` | `QSignalEmitter.Signal2` Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes two parameters.
`class` | `QSignalEmitter.Signal3` Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes three parameters.
`class` | `QSignalEmitter.Signal4` Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes four parameters.
`class` | `QSignalEmitter.Signal5` Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes five parameters.
`class` | `QSignalEmitter.Signal6` Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes six parameters.
`class` | `QSignalEmitter.Signal7` Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes seven parameters.
`class` | `QSignalEmitter.Signal8` Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes eight parameters.
`class` | `QSignalEmitter.Signal9` Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes nine parameters.

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QSignalEmitter()`

Method Summary
`boolean` | `blockSignals(boolean b)` Blocks this QSignalEmitter from emiting its signals.
`void` | `disconnect()` Disconnect all connections originating in this signal emitter.
`void` | `disconnect(java.lang.Object other)` Disconnect all connections made from this signal emitter to a specific object.
`boolean` | `signalsBlocked()` Returns true if this QSignalEmitter is blocked.
`static QSignalEmitter` | `signalSender()` If a signal is currently being emitted (e.g.
`java.lang.Thread` | `thread()` Returns the thread affinity of the object.

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QSignalEmitter

    public QSignalEmitter()

Method Detail

### thread

    public java.lang.Thread thread()

  Returns the thread affinity of the object. If this is an instance of QObject the thread that owns the object is returned. For non-QObjects the current thread is returned.

  Specified by:
    `thread` in class `com.trolltech.qt.internal.QSignalEmitterInternal`

### signalsBlocked

    public boolean signalsBlocked()

  Returns true if this QSignalEmitter is blocked. If it is blocked, no signals will be emitted.

  Specified by:
    `signalsBlocked` in class `com.trolltech.qt.internal.QSignalEmitterInternal`

### blockSignals

    public boolean blockSignals(boolean b)

  Blocks this QSignalEmitter from emiting its signals.

### signalSender

    public static QSignalEmitter signalSender()

  If a signal is currently being emitted (e.g. if this method is called from within a slot that has been invoked by a signal), then this function will return the object containing the signal that was emitted.

  Returns:
    Current sender, or null if a signal is not currently being emitted.

### disconnect

    public final void disconnect()

  Disconnect all connections originating in this signal emitter.

### disconnect

    public final void disconnect(java.lang.Object other)

  Disconnect all connections made from this signal emitter to a specific object.

  Parameters:
    `other` - The receiver to disconnect, or null to disconnect all receivers

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD